Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto
Class KeySelector.Purpose

    java.lang.Object
      javax.xml.crypto.KeySelector.Purpose

Enclosing class:
  KeySelector

    public static class KeySelector.Purpose

extends java.lang.Object

The purpose of the key that is to be selected.

Field Summary
`static KeySelector.Purpose` | `DECRYPT` A key for decrypting.
`static KeySelector.Purpose` | `ENCRYPT` A key for encrypting.
`static KeySelector.Purpose` | `SIGN` A key for signing.
`static KeySelector.Purpose` | `VERIFY` A key for verifying.

Method Summary
`java.lang.String` | `toString()` Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIGN

    public static final KeySelector.Purpose SIGN

  A key for signing.

### VERIFY

    public static final KeySelector.Purpose VERIFY

  A key for verifying.

### ENCRYPT

    public static final KeySelector.Purpose ENCRYPT

  A key for encrypting.

### DECRYPT

    public static final KeySelector.Purpose DECRYPT

  A key for decrypting.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this purpose

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org